import React, {PureComponent} from 'react';
import {modelActions} from '../button-initial-state';
import {ButtonsTestComponent} from '../../playground/buttons-test-component';
import {XlReactButtonWithDropdown} from '../../../xl-react-buttons/xl-react-button-with-dropdown/xl-react-button-with-dropdown'; // eslint-disable-line max-len
import {itemType} from './item-type';

export class PrimaryButton extends PureComponent {
    static propTypes = itemType;

    render() {
        const {modelName, state, updateModel} = this.props;
        return <ButtonsTestComponent {...state[modelName]}>
            <XlReactButtonWithDropdown
                actions={modelActions(modelName, updateModel)}
                type="primary"
            />
        </ButtonsTestComponent>;
    }
}
