import R from 'ramda';

export const sortStrings = (values, direction = 'ASC') => {
    const diff = (str1, str2) => {
        const res = String(str1).toLowerCase().localeCompare(String(str2).toLowerCase());
        return direction === 'DESC' ? -res : res;
    };
    return R.sort(diff, values);
};
