import React from 'react';

export const createHeaderRowRenderer = () => (rowConfig) => {
    const {className, columns: [keyCol], style} = rowConfig;
    return <div
        className={className} role="row" style={style}>
        {keyCol}
    </div>;
};
