import ReactDOM from 'react-dom';
import sw from 'scrollbar-width';
import $ from 'jquery';

export const setHeaderPadding = (tableWrapperRef) => {
    const scrollbarWidth = sw();
    const domTableWrapper = ReactDOM.findDOMNode(tableWrapperRef.current); // eslint-disable-line react/no-find-dom-node, max-len
    const tbody = $(domTableWrapper).find('tbody');
    const overflow = tbody.prop('offsetHeight') < tbody.prop('scrollHeight');
    if (overflow) {
        $(domTableWrapper).find('thead > tr').css({'padding-right': `${scrollbarWidth}px`});
    } else {
        $(domTableWrapper).find('thead > tr').css({'padding-right': '0px'});
    }
};
