import R from 'ramda';
import MonacoEditor from 'react-monaco-editor';
import {withEditorResize, withEditorAutoFocus, withoutContextMenu} from '../xl-react-widget-monaco-hoc';

export const XlReactWidgetMonacoEditor = R.pipe(
    withEditorAutoFocus,
    withEditorResize,
    withoutContextMenu
)(MonacoEditor);
