import fs from 'fs'; // eslint-disable-line
import gulp from 'gulp';
import paths from '../utils/paths';
import packageJson from '../../package.json';

gulp.task('dump-version', (cb) => {
    const version = `version=${packageJson.version}`;

    if (!fs.existsSync(paths.buildDir)) {
        fs.mkdirSync(paths.buildDir);
    }

    fs.writeFileSync(`${paths.buildDir}/version.dump`, version);
    cb();
});
