import {Action, Expectation} from 'protractor-base-dsl';
import XlComponent from '../../component/base/xl-component';

export const clickCheckbox = () =>
    Action.click('.testComponent input[type="checkbox"]');
export const expectEnabled = () =>
    Expectation.enabled('.testComponent input[type="checkbox"]');
export const expectDisabled = () =>
    Expectation.disabled('.testComponent input[type="checkbox"]');

const DipBoolean = {
    ...XlComponent,
    clickCheckbox,
    expectDisabled,
    expectEnabled
};

export default DipBoolean;
global.DipBoolean = DipBoolean;
