import {Action, Expectation} from 'protractor-base-dsl';
import Navigation from '../../dsl/common/navigation';

describe('Split button with dropdown scenario', () => {
    it('should properly show a split button', () => {
        Navigation.openButtonElement('primaryButton');
        const sectionSelector = '.split-button-with-dropdown-primary';
        Action.click(`${sectionSelector} button.dropdown-toggle`);
        Expectation.attributeContainsValue(`${sectionSelector} .dropdown-menu li:nth-child(1)`, 'class', '');
        Expectation.attributeContainsValue(`${sectionSelector} .dropdown-menu li:nth-child(2)`, 'class', '');
        Expectation.attributeContainsValue(`${sectionSelector} .dropdown-menu li:nth-child(3)`, 'class', 'disabled');
    });
});
