import React from 'react';
import {mount} from 'enzyme';

import initialState from './widget-radio-group-initial-state.json';
import {XlReactWidgetRadioGroup} from '~/app/xl-react-widget/xl-react-widget-radio-group/xl-react-widget-radio-group';

describe('XlReactWidgetRadioGroup', () => {
    it('should display radio buttons and labels', () => {
        const wrapper = mount(<XlReactWidgetRadioGroup model={initialState} name="Group" separatorLabel="or"/>);
        expect(wrapper.find('.xl-react-widget-radio').length).toBe(3);
        expect(wrapper.find('.label-element').length).toBe(2);

        expect(wrapper.find('.xl-react-widget-radio input[data="Case 1"]').length).toBe(1);
        expect(wrapper.find('.xl-react-widget-radio input[data="Case 2"]').length).toBe(1);
        expect(wrapper.find('.xl-react-widget-radio input[data="Case 3"]').length).toBe(1);
    });
});
